Summary: text formatting system used by the Linux Documentation Project
Name: sgml-tools
Obsoletes: linuxdoc-sgml
Version: 1.0.6
Release: 2
Copyright: freeware
Group: Applications/Publishing
Source: http://www.consultronics.com/~cdegroot/sgmltools/dist/sgml-tools-1.0.6.tar.gz
Patch: sgml-tools-1.0.6-letter.patch
Url: http://www.pobox.com/~cg/sgmltools
Buildroot: /var/tmp/sgml-root
Summary(de): Textformatierungssystem, das vom Linux Documentation Project benutzt wird
Summary(fr): Systme de formattage de texte utilis par le Linux Documentation Project.
Summary(tr): GNU belge biimlendirme sistemi

%changelog

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>

- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- new release - Obsoletes linuxdoc-sgml

%description
SGML-Tools is a SGML-based text formatter which allows you to
produce a variety of output formats.  You can create PostScript and
dvi (with LaTeX), plain text (with groff), HTML, and texinfo files
from a single SGML source file.

%description -l de
SGML-Tools ist ein Textformatierer auf SGML-Basis, der eine Vielzahl
von Ausgabeformaten erzeugen kann. Sie knnen aus einer einzigen 
SGML-Quelldatei PostScript-, dvi- (mit LaTeX), Nur-Text- 
(mit groff), HTML- und texinfo-Dateien erstellen.

%description -l fr
SGML-Tools est un formatteur de texte bas sur SGML qui vous permet
de produire de nombreux formats de fichiers de sortie. vous pouvez
crer du PostScript et du dvi (avec LaTeX), du texte simple (avec groff),
du HTML, et des fichiers texinfo depuis un simple fichier SGML.

%description -l tr
SGML-Tools, SGML tabanl deiik biimlerde ktlar retmenizi salayan bir
metin biimleyicisidir. PostScript, dvi (LaTeX ile), dz metin (groff ile),
HTML dosyalarn tek bir SGML kaynak dosyasndan yaratabilirsiniz.

%prep
%setup
rm -rf $RPM_BUILD_ROOT
%patch -p1

%build
CC=egcs CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/sgml-tools
/usr/lib/perl5/Text/EntityMap.pm
/usr/lib/entity-map
/usr/lib/sgml
/usr/doc/sgml-tools
/usr/bin/*
/usr/man/*/*
